Bug 478381 - Review Request: sugar-tamtam-common - Resources and python libraries for Sugar TamTam activities
Review Request: sugar-tamtam-common - Resources and python libraries for Suga...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta 478382 478383 478384 478385
  Show dependency treegraph
 
Reported: 2008-12-29 02:56 EST by Aleksey Lim
Modified: 2009-04-06 13:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 05:54:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Lim 2008-12-29 02:56:07 EST
Spec URL: http://people.sugarlabs.org/~alsroot/RPM/SPECS/sugar-tamtam-common.spec
SRPM URL: http://people.sugarlabs.org/~alsroot/RPM/SRPMS/sugar-tamtam-common-52-1.20081229.fc10.src.rpm

Description:
TamTam is a suite of four music and sound related activities for theSugar. TamTam is written in python with some C functions for speed-critical services.The audio engine for TamTam is Csound.

rpmlint claims for right group, but other sugar activities also use Sugar/Activities group

COPYING.txt says GPLv3 but TamTam*.activity/activity/activity.info says GPLv2+, so I use GPLv2+ in spec

package demands sugar* and olpcsound packages from updates-testing repo but current olpcsound has unmets, thus I built sugar*.src.rpm from updates-testing and used them from local repo
Comment 1 Fabian Affolter 2009-01-27 18:50:05 EST
(In reply to comment #0)
> COPYING.txt says GPLv3 but TamTam*.activity/activity/activity.info says GPLv2+,
> so I use GPLv2+ in spec

What did the upstream say about this?
Comment 2 Aleksey Lim 2009-02-05 10:59:10 EST
(In reply to comment #1)
> (In reply to comment #0)
> > COPYING.txt says GPLv3 but TamTam*.activity/activity/activity.info says GPLv2+,
> > so I use GPLv2+ in spec
> 
> What did the upstream say about this?

the right licence is GPLv3+,
now I'm waiting for authors' decision about merging branch(my packages based on) to trunk, after that I'm going re-upload all TamTam packages
Comment 3 Aleksey Lim 2009-03-23 05:54:19 EDT
since all honey activities should be installed from ASLO and distros provide only
http://wiki.sugarlabs.org/go/Development_Team/Sugar_Platform/0.84
I'm closing this bug

Note You need to log in before you can comment on or make changes to this bug.